/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (i64vec3(-1333333333333333259l, 85l, 94l) >> u64vec3(46ul, 50ul, 0ul)) => i64vec3(-18948l, 0l, 94l)
 * (i64vec3(-1333333333333333259l, 85l, 94l) >> u64vec3(52ul, 23ul, 5ul)) => i64vec3(-297l, 0l, 2l)
 * (i64vec3(167l, 66l, 187l) >> u64vec3(46ul, 50ul, 0ul)) => i64vec3(0l, 0l, 187l)
 * (i64vec3(167l, 66l, 187l) >> u64vec3(52ul, 23ul, 5ul)) => i64vec3(0l, 0l, 5l)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((i64vec3(-1333333333333333259l, 85l, 94l) >> u64vec3(46ul, 50ul, 0ul)), i64vec3(-18948l, 0l, 94l))) ? 1 : -1] array0;
  float[all(equal((i64vec3(-1333333333333333259l, 85l, 94l) >> u64vec3(52ul, 23ul, 5ul)), i64vec3(-297l, 0l, 2l))) ? 1 : -1] array1;
  float[all(equal((i64vec3(167l, 66l, 187l) >> u64vec3(46ul, 50ul, 0ul)), i64vec3(0l, 0l, 187l))) ? 1 : -1] array2;
  float[all(equal((i64vec3(167l, 66l, 187l) >> u64vec3(52ul, 23ul, 5ul)), i64vec3(0l, 0l, 5l))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
