/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * faceforward(dvec2(-0.1lf, -1.2lf), dvec2(-0.1lf, -1.2lf), dvec2(-0.1lf, -1.2lf)) => dvec2(0.1lf, 1.2lf)
 * faceforward(dvec2(-0.1lf, -1.2lf), dvec2(-0.1lf, -1.2lf), dvec2(-0.42lf, 0.48lf)) => dvec2(-0.1lf, -1.2lf)
 * faceforward(dvec2(-0.1lf, -1.2lf), dvec2(-0.42lf, 0.48lf), dvec2(-0.1lf, -1.2lf)) => dvec2(-0.1lf, -1.2lf)
 * faceforward(dvec2(-0.1lf, -1.2lf), dvec2(-0.42lf, 0.48lf), dvec2(-0.42lf, 0.48lf)) => dvec2(0.1lf, 1.2lf)
 * faceforward(dvec2(-0.42lf, 0.48lf), dvec2(-0.1lf, -1.2lf), dvec2(-0.1lf, -1.2lf)) => dvec2(0.42lf, -0.48lf)
 * faceforward(dvec2(-0.42lf, 0.48lf), dvec2(-0.1lf, -1.2lf), dvec2(-0.42lf, 0.48lf)) => dvec2(-0.42lf, 0.48lf)
 * faceforward(dvec2(-0.42lf, 0.48lf), dvec2(-0.42lf, 0.48lf), dvec2(-0.1lf, -1.2lf)) => dvec2(-0.42lf, 0.48lf)
 * faceforward(dvec2(-0.42lf, 0.48lf), dvec2(-0.42lf, 0.48lf), dvec2(-0.42lf, 0.48lf)) => dvec2(0.42lf, -0.48lf)
 */
#version 400

void main()
{
  double[distance(faceforward(dvec2(-0.1lf, -1.2lf), dvec2(-0.1lf, -1.2lf), dvec2(-0.1lf, -1.2lf)), dvec2(0.1lf, 1.2lf)) <= 1.2041594578792297e-05lf ? 1 : -1] array0;
  double[distance(faceforward(dvec2(-0.1lf, -1.2lf), dvec2(-0.1lf, -1.2lf), dvec2(-0.42lf, 0.48lf)), dvec2(-0.1lf, -1.2lf)) <= 1.2041594578792297e-05lf ? 1 : -1] array1;
  double[distance(faceforward(dvec2(-0.1lf, -1.2lf), dvec2(-0.42lf, 0.48lf), dvec2(-0.1lf, -1.2lf)), dvec2(-0.1lf, -1.2lf)) <= 1.2041594578792297e-05lf ? 1 : -1] array2;
  double[distance(faceforward(dvec2(-0.1lf, -1.2lf), dvec2(-0.42lf, 0.48lf), dvec2(-0.42lf, 0.48lf)), dvec2(0.1lf, 1.2lf)) <= 1.2041594578792297e-05lf ? 1 : -1] array3;
  double[distance(faceforward(dvec2(-0.42lf, 0.48lf), dvec2(-0.1lf, -1.2lf), dvec2(-0.1lf, -1.2lf)), dvec2(0.42lf, -0.48lf)) <= 6.378087487640791e-06lf ? 1 : -1] array4;
  double[distance(faceforward(dvec2(-0.42lf, 0.48lf), dvec2(-0.1lf, -1.2lf), dvec2(-0.42lf, 0.48lf)), dvec2(-0.42lf, 0.48lf)) <= 6.378087487640791e-06lf ? 1 : -1] array5;
  double[distance(faceforward(dvec2(-0.42lf, 0.48lf), dvec2(-0.42lf, 0.48lf), dvec2(-0.1lf, -1.2lf)), dvec2(-0.42lf, 0.48lf)) <= 6.378087487640791e-06lf ? 1 : -1] array6;
  double[distance(faceforward(dvec2(-0.42lf, 0.48lf), dvec2(-0.42lf, 0.48lf), dvec2(-0.42lf, 0.48lf)), dvec2(0.42lf, -0.48lf)) <= 6.378087487640791e-06lf ? 1 : -1] array7;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length());
}
